Bug 123932 - (USB EHCI) Immediate freeze after cat /dev/dsp
(USB EHCI) Immediate freeze after cat /dev/dsp
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 15:53 EDT by Jan Rychter
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:10:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Rychter 2004-05-21 15:53:11 EDT
Description of problem:
Doing "cat /dev/dsp" freezes the system instantly and completely.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Every time.

Steps to Reproduce:
1. Boot Fedora Core 2.
2. Type "cat /dev/dsp" in a Terminal window
3. Observe how mouse cursor doesn't move anymore
  
Actual results:
Total freeze.

Expected results:
A pile of DSP garbage in the Terminal window.

Additional info:

The /dev/dsp should normally correspond to my USB soundcard, which for
some unknown reason gets installed as the first card.

The USB module is connected to a USB2.0 hub.

This same hardware setup works great with kernel 2.4.22 and alsa-1.0.4.

[12:49] localhost:/proc/asound/oss>cat sndstat
Sound Driver:3.8.1a-980706 (ALSA v1.0.4rc2 emulation code)
Kernel: Linux localhost.localdomain 2.6.5-1.358 #1 Sat May 8 09:04:50
EDT 2004 i686
Config options: 0
 
Installed drivers:
Type 10: ALSA emulation
 
Card config:
Micronas GN Netcom USB Digital Audio at usb-0000:00:1d.7-1.1, full speed
Intel 82801DB-ICH4 at 0xd4000000, irq 6
 
Audio devices: NOT ENABLED IN CONFIG
 
Synth devices: NOT ENABLED IN CONFIG
 
Midi devices: NOT ENABLED IN CONFIG
 
Timers:
7: system timer
 
Mixers:
0: USB Mixer
1: Analog Devices AD1980
[12:49] localhost:/proc/asound/oss>
Comment 1 Jan Rychter 2004-05-21 18:14:37 EDT
Reproduced also with Linux 2.6.6.

rmmod ehci_hcd fixes the problem, no freezes occur when only uhci_hcd
is present.

Comment 2 Dave Jones 2005-04-16 00:10:33 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.